scala.reflect.reify.utils

# Utils

#### trait Utils extends NodePrinters with Extractors with SymbolTables with StdAttachments

Source
  Utils.scala

Linear Supertypes
StdAttachments, SymbolTables, Extractors, NodePrinters, AnyRef, Any
Known Subclasses
ApplyReifier, Reifier, Reifier, UnapplyReifier
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Utils
2. StdAttachments
3. SymbolTables
4. Extractors
5. NodePrinters
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### sealed abstract class FreeDefExtractor extends AnyRef

   Definition Classes
     Extractors

2. #### case class ReifyAliasAttachment(sym: tools.nsc.Global.Symbol, alias: tools.nsc.Global.TermName) extends Product with Serializable

   Definition Classes
     StdAttachments

3. #### case class ReifyBindingAttachment(binding: tools.nsc.Global.Tree) extends Product with Serializable

   Definition Classes
     StdAttachments

4. #### class SymbolTable extends AnyRef

   Definition Classes
     SymbolTables

### Abstract Value Members

1. #### abstract val global: Global

2. #### abstract val typer: (analyzer)#Typer

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Utils to any2stringadd[Utils] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Utils, B)

   Implicit information
     This member is added by an implicit conversion from Utils to ArrowAssoc[Utils] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### object ApplyCall

   Definition Classes
     Extractors

7. #### object BoundTerm

   Definition Classes
     Extractors

8. #### object BoundType

   Definition Classes
     Extractors

9. #### object FreeDef extends Utils.FreeDefExtractor

   Definition Classes
     Extractors

10. #### object FreeRef

    Definition Classes
      Extractors

11. #### object FreeTermDef extends Utils.FreeDefExtractor

    Definition Classes
      Extractors

12. #### object FreeTypeDef extends Utils.FreeDefExtractor

    Definition Classes
      Extractors

13. #### object ReifiedTree

    Definition Classes
      Extractors

14. #### object ReifiedType

    Definition Classes
      Extractors

15. #### object SymDef

    Definition Classes
      Extractors

16. #### object SymbolTable

    Definition Classes
      SymbolTables

17. #### object TreeSplice

    Definition Classes
      Extractors

18. #### object TypeRefToFreeType

    Definition Classes
      Extractors

19. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

20. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### def ensuring(cond: (Utils) ⇒ Boolean, msg: ⇒ Any): Utils

    Implicit information
      This member is added by an implicit conversion from Utils to Ensuring[Utils] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: (Utils) ⇒ Boolean): Utils

    Implicit information
      This member is added by an implicit conversion from Utils to Ensuring[Utils] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean, msg: ⇒ Any): Utils

    Implicit information
      This member is added by an implicit conversion from Utils to Ensuring[Utils] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean): Utils

    Implicit information
      This member is added by an implicit conversion from Utils to Ensuring[Utils] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

27. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

28. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Utils to StringFormat[Utils] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

29. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

30. #### def getReifier: Reifier { val global: Utils.this.global.type }

31. #### def hasReifier: Boolean

32. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### object reifiedNodeToString extends (tools.nsc.Global.Tree) ⇒ String

    Definition Classes
      NodePrinters

38. #### lazy val reifier: Reifier { val global: Utils.this.global.type }

39. #### def reifyBinding(tree: tools.nsc.Global.Tree): tools.nsc.Global.Tree

    Definition Classes
      StdAttachments

40. #### val reifyCopypaste: Boolean

41. #### val reifyDebug: Boolean

42. #### val reifyTrace: SimpleTracer

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### def toString(): String

    Definition Classes
      AnyRef → Any

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### def →[B](y: B): (Utils, B)

    Implicit information
      This member is added by an implicit conversion from Utils to ArrowAssoc[Utils] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from StdAttachments

### Inherited from SymbolTables

### Inherited from Extractors

### Inherited from NodePrinters

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Utils to any2stringadd[Utils]

### Inherited by implicit conversion StringFormat from Utils to StringFormat[Utils]

### Inherited by implicit conversion Ensuring from Utils to Ensuring[Utils]

### Inherited by implicit conversion ArrowAssoc from Utils to ArrowAssoc[Utils]

### Ungrouped